Robofy API
HomeChangelog
HomeChangelog
Visit Website
Sign In
Create an account
  1. Partner
  • Start Guide
    • Getting Started
    • API Reference
    • Changelog
  • Robofy API
    • Account
      • /v1/account/details
      • /v1/account/details
      • /v1/account/limit
    • Chatbot
      • /v1/ai-agent/chatbot_asset_link
      • /v1/ai-agent/chatbot/{projectId}
      • /v1/ai-agent/chatbot/{projectId}
      • /v1/ai-agent/chatbot/{projectId}/{chatbotId}
      • /v1/ai-agent/chatbot/{projectId}/{chatbotId}
      • /v1/ai-agent/chatbot/{projectId}/{chatbotId}
      • /v1/ai-agent/chatbot_asset_delink
      • /v1/ai-agent/chatbot_asset_link/{projectId}/{chatbotId}
      • /v1/ai-agent/widget/integration/{projectId}/{chatbotId}
    • Inbox
      • /v1/ai-agent/inbox/sessions/{chatbotId}
      • /v1/ai-agent/inbox/chats/{chatbotId}/{sessionId}
    • Project
      • /v1/projects
      • /v1/projects
      • /v1/projects/{id}
      • /v1/projects/{id}
    • Leads
      • /v1/ai-agent/leads/{projectId}/{chatbotId}
    • Content
      • /v1/ai-agent/crawl_website
      • /v1/ai-agent/crawl_status/{projectId}/{chatbotId}
      • /v1/ai-agent/link_content/{projectId}
    • Stats
      • /v1/ai-agent/message_stats
    • License
      • /v1/license
      • /v1/license
      • /v1/license
      • /v1/license/{licenseId}
      • /v1/license/{licenseId}
      • /v1/license/limit
    • Partner
      • /v1/partner/onboard
        POST
    • Schemas
      • Account
      • AccountDetailDto
      • Address
      • AgentCredentialInsertResponseDto
      • AgentCredentialRequestDto
      • AgentCredentialResponseDto
      • AgentDataPoint
      • AgentLeadCapture
      • AgentLeadReportDto
      • AgentLinkageDto
      • AgentMcpServerDto
      • AgentMcpServerInsertResponseDto
      • AgentMcpServerRequestDto
      • AgentMcpServerUpdateRequestDto
      • AgentPromptVersionDto
      • AgentSessionListDto
      • AgentSessionListItemDto
      • AgentStatsDto
      • AgentThemeDto
      • AgentThemeListDto
      • AgentToolLinkageInsertResponseDto
      • AgentToolLinkageRequestDto
      • AgentWhatappIntrgrationResponse
      • AgentWhatsAppLinkageDto
      • Button
      • CarouselCard
      • CategoryStats
      • ChatBotDetailsDto
      • ChatBotDetailsRequest
      • ChatBotDetailsUpdateRequest
      • ChatbotAISettingsDto
      • ChatbotAISettingsRequest
      • ChatbotAdvanceSettingsDto
      • ChatbotAdvanceSettingsRequest
      • ChatbotAppearanceSettingsDto
      • ChatbotAppearanceSettingsRequest
      • ChatbotAssetDelinkDto
      • ChatbotAssetLinkageDataDto
      • ChatbotAssetLinkageDelinkRequest
      • ChatbotAssetLinkageDetailsDto
      • ChatbotAssetLinkageDto
      • ChatbotAssetLinkageRequest
      • ChatbotTextLinkageRequest
      • ClientData
      • CommonResponse
      • Component
      • Contact
      • ContactName
      • CrawlStatusDto
      • CrawlWebsiteRequest
      • CreateOrUpdateProjectRequest
      • CreatePhoneNumberRequest
      • CreateTemplateRequest
      • CreateWebhookConfigRequest
      • DeLinkWhatsAppRequest
      • Email
      • Error
      • ErrorResponse
      • Example
      • FailureStats
      • FailureStatsDataPoint
      • FormField
      • GoogleSheetDto
      • GoogleSheetIntegrationRequest
      • InboxChatDto
      • InboxDto
      • InboxMessage
      • InboxSession
      • IntelligentMetricsDto
      • Interactive
      • InteractiveAction
      • InteractiveBody
      • InteractiveButton
      • InteractiveFooter
      • InteractiveHeader
      • InteractiveMedia
      • InteractiveProductItem
      • InteractiveProductSection
      • InteractiveReply
      • InteractiveRow
      • InteractiveSection
      • LeadCaptureForm
      • LeadData
      • LeadDataField
      • LeadFormData
      • LeadReport
      • LicenseCreateRequest
      • LicenseDto
      • LicenseLimitRequest
      • LicenseUpdateRequest
      • LimitedTimeOffer
      • LinkWhatsAppRequest
      • LinkedCredentialDto
      • LinkedMcpServerDto
      • Location
      • Media
      • MessageMetaData
      • MessageRequest
      • MessageResponse
      • MessageStats
      • MessageStatsDataPoint
      • MessageTemplate
      • NamedParameter
      • OrgLimitDto
      • Organization
      • PaginatedWebhookLogsResponse
      • Part
      • PartnerClientSession
      • PartnerClientSessionDto
      • Phone
      • PhoneNumberRequest
      • PhoneVerifyCodeRequest
      • PhoneVerifyRequest
      • PlatformStats
      • ProjectDetailDto
      • ProjectWABADetail
      • Reaction
      • ReadTypingIndicatorRequest
      • RecentInsightDto
      • Response
      • SessionInsightItemDto
      • SessionInsightsDto
      • SessionMetaDto
      • SessionMetricsDto
      • SessionSummaryDetailDto
      • StartUrl
      • SubcribedAppsRequest
      • SupportedApp
      • TemplateAction
      • TemplateButtons
      • TemplateCarousel
      • TemplateComponent
      • TemplateCurrency
      • TemplateDateTime
      • TemplateLimitedTimeOffer
      • TemplateMedia
      • TemplateParameter
      • TemplateProductItem
      • TemplateSection
      • TemplateTapTargetConfiguration
      • Text
      • ThemeMetaDto
      • TypingIndicator
      • UpdateOnboardStatusRequest
      • UpdateOnboardStatusResponseDto
      • UploadMedia
      • Url
      • WABADetail
      • WABADto
      • Webhook
      • WebhookConfigDto
      • WebhookConfiguration
      • WebhookLogDto
      • WebsiteDto
      • WhatsAppBusinessApiData
      • WhatsAppBusinessProfile
      • WidgetIntegration
  1. Partner

/v1/partner/onboard

POST
/v1/partner/onboard

Request

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/partner/onboard' \
--header 'Content-Type: application/json' \
--data-raw '{
    "client_identifier": "string",
    "client_webhook_url": "string"
}'
Response Response Example
200 - Example 1
{
    "user_data": {
        "client_identifier": "string",
        "project_id": "string",
        "project_name": "string",
        "api_key": "string"
    },
    "iframe_url": "string",
    "webhook": {
        "url": "string",
        "valid": true,
        "detail": "string"
    }
}
Modified at 2026-04-28 06:09:26
Previous
/v1/license/limit
Next
Account
Built with